import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileWriter;
import java.io.IOException;
import java.util.HashMap;
import java.util.Scanner;

public class IO {

	public static HashMap<String, String> readAllContent(String dir) {
		System.out.println("START READING BOOKS...");
		HashMap<String, String> corpus = new HashMap<>();
		for (File f : new File(dir).listFiles()) {
			if (f.isDirectory()) {
				corpus.putAll(readAllContent(f.getPath()));
			} else {
				try {
					corpus.put(f.getName(), readFile(f.getPath()));
				} catch (FileNotFoundException e) {
					e.printStackTrace();
				}
			}
		}
		return corpus;
	}

	private static String readFile(String fileName) throws FileNotFoundException {
		System.out.println("READING A " + new File(fileName).length() + " SIZED BOOK...");
		StringBuilder sb = new StringBuilder();
		Scanner scan = new Scanner(new File(fileName));
		while (scan.hasNextLine()) {
			sb.append(StringUtils.cleanString(scan.nextLine()) + "\n");
		}
		scan.close();
		System.out.println(sb.toString().length());
		return sb.toString();
	}

	public static void writeString(String string, String outPutFileName) throws IOException {
		System.out.println("WRITING STRING WITH LENGTH " + string.length());
		File file = new File(outPutFileName);
		FileWriter writer = new FileWriter(file);
		writer.write(string);
		writer.flush();
		writer.close();
	}

}
