import java.util.ArrayList;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.TreeSet;

public class StringUtils {

	public static String cleanString(String input) {
		return input.toLowerCase().replaceAll("[^a-zäüößéèêóòô ]", " ").replaceAll(" +", " ");
	}

	public static List<String> tokenize(String input) {
		List<String> docList = new ArrayList<>();
		String[] tokens = input.split("\\s");
		for (String token : tokens) {
			docList.add(token);
		}
		return docList;
	}

	public static HashSet<String> distinctValues(List<String> docTokens) {
		return new HashSet<>(docTokens);
	}

	public String mapToString(HashMap<String, TreeSet<String>> inputMap) {
		StringBuilder sb = new StringBuilder();
		for (String key : inputMap.keySet()) {
			sb.append(key + ";");
			for (String value : inputMap.get(key).descendingSet()) {
				sb.append(value + ";");
			}
			sb.append("\n");
		}
		return sb.toString();
	}

}
